## hmat-oss 1.8.1

=== CMakeLists.txt ===
#  HMat-OSS (HMatrix library, open source software)
#
#  Copyright (C) 2014-2015 Airbus Group SAS
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#  http://github.com/jeromerobert/hmat-oss

cmake_minimum_required(VERSION 3.13)

# Set CMAKE_BUILD_TYPE to Release by default.
# Must be done before calling project()
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "" Release Debug RelWithDebInfo MinSizeRel)
endif()

# Set BUILD_SHARED_LIBS to ON by default.
# Must be done before calling project()
if(BUILD_SHARED_LIBS MATCHES "^BUILD_SHARED_LIBS$")
    if(NOT WIN32)
        # __declspec(dllexport) are missing in hmat so it's currently not possible
        # to build it as a shared library on win32
        set(BUILD_SHARED_LIBS "ON" CACHE BOOL "Build shared libraries." FORCE)
    endif()
endif()

project(hmat-oss C CXX)

if(POLICY CMP0092)
    cmake_policy(SET CMP0092 NEW) # 3.15: MSVC warning flags are not in CMAKE_<LANG>_FLAGS by default.
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/CMake)

if(NOT HMAT_VERSION)
    include(GitVersion)
    git_version(HMAT 1.8.1)
endif()
set(HMAT_SO_VERSION 3)

if ( WIN32 AND CMAKE_CXX_COMPILER_ID STREQUAL "Intel" )
    set(WINTEL TRUE)
endif()

# Offer the user the choice of overriding the installation directories
set(HMAT_INSTALL_LIB_DIR     lib${LIB_SUFFIX} CACHE PATH "Installation directory for libraries")
set(HMAT_INSTALL_BIN_DIR     bin              CACHE PATH "Installation directory for executables")
set(HMAT_INSTALL_INCLUDE_DIR include          CACHE PATH "Installation directory for header files")
set(HMAT_INSTALL_DATA_DIR    share/hmat       CACHE PATH "Installation directory for data files")
set(HMAT_INSTALL_CMAKE_DIR   ${HMAT_INSTALL_LIB_DIR}/cmake/hmat CACHE PATH "Installation directory for cmake config files")

# Make relative paths absolute (needed later on)
foreach(p LIB BIN INCLUDE DATA CMAKE)
    set(var HMAT_INSTALL_${p}_DIR)
    set(HMAT_RELATIVE_INSTALL_${p}_DIR ${HMAT_INSTALL_${p}_DIR} CACHE PATH "Installation path HMAT_INSTALL_${p}_DIR relative to CMAKE_INSTALL_PREFIX")
    mark_as_advanced(HMAT_RELATIVE_INSTALL_${p}_DIR)
    if(NOT IS_ABSOLUTE "${${var}}")
        set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
    endif()
endforeach()

# ========================
# Declare target
# ========================

if(NOT TARGET hmat)
    add_library(hmat)
endif()

# Options which modify the list of source files
option(HMAT_TIMELINE "Enable profiling timeline" OFF)

# Sources
file(GLOB_RECURSE HMAT_SOURCES RELATIVE ${PROJECT_SOURCE_DIR} src/*.[ch]pp include/*.h)
list(REMOVE_ITEM HMAT_SOURCES src/recursion.cpp) # because it is included in h_matrix.cpp
if(NOT HMAT_TIMELINE)
    list(REMOVE_ITEM HMAT_SOURCES src/common/timeline.cpp)
endif()

target_sources(hmat PRIVATE ${HMAT_SOURCES})

if(BUILD_SHARED_LIBS)
    set_target_properties(hmat PROPERTIES DEFINE_SYMBOL HMAT_DLL_EXPORTS)
endif()

target_include_directories(hmat
    PUBLIC
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
        $<INSTALL_INTERFACE:${HMAT_RELATIVE_INSTALL_INCLUDE_DIR}>)

# ========================
# C
# ========================
include(CheckIncludeFile)
check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("sys/types.h" HAVE_SYS_TYPES_H)
check_include_file("time.h" HAVE_TIME_H)
check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("mach/mach_time.h" HAVE_MACH_MACH_TIME_H)

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(HMAT_32BITS TRUE)
endif()

# ========================
# System & external libs
# ========================
if(NOT WIN32)
    include(CheckLibraryExists)
    check_library_exists("m" sqrt "" HAVE_LIBM)
    if(HAVE_LIBM)
        target_link_libraries(hmat PRIVATE m)
        # Examples will also have to be linked against libm
        set(LIBM_TARGET m)
    endif()

    check_library_exists("rt" clock_gettime "" HAVE_LIBRT)
    if(HAVE_LIBRT)
        # clock_gettime() function is called from src/common/chrono.h
        # and must thus be PUBLIC.
        # FIXME: link is mandatory only for GNU libc < 2.17.
        #        Maybe we can drop this line?
        target_link_libraries(hmat PUBLIC rt)
    endif()
endif(NOT WIN32)

option(HMAT_DISABLE_OPENMP "Let HMat disable OpenMP (require OpenMP support)" ON)
if(HMAT_DISABLE_OPENMP)
    find_package(OpenMP)
    if(OpenMP_FOUND)
        separate_arguments(OpenMP_C_OPTIONS NATIVE_COMMAND "${OpenMP_C_FLAGS}")
        separate_arguments(OpenMP_CXX_OPTIONS NATIVE_COMMAND "${OpenMP_CXX_FLAGS}")
        target_compile_options(hmat PRIVATE "$<$<COMPILE_LANGUAGE:CXX>:${OpenMP_CXX_OPTIONS}>$<$<COMPILE_LANGUAGE:C>:${OpenMP_C_OPTIONS}>")
        target_link_libraries(hmat PRIVATE ${OpenMP_C_LIBRARIES})
        if (OpenMP_C_INCLUDE_DIRS) # since 3.16
          target_include_directories(hmat PRIVATE ${OpenMP_C_INCLUDE_DIRS})
        endif ()
    endif()
endif()

# JeMalloc
option(HMAT_JEMALLOC "Use jemalloc for matrix blocks allocation." OFF)
if(HMAT_JEMALLOC)
    find_package(JeMalloc REQUIRED)
    if(JEMALLOC_FOUND)
        set(HAVE_JEMALLOC TRUE)
        target_include_directories(hmat PRIVATE ${JEMALLOC_INCLUDE_DIR})
        target_link_libraries(hmat PRIVATE ${JEMALLOC_LIBRARIES})
    endif()
endif()

# Context timers
option(HMAT_CONTEXT "Use context timers." OFF)
if(HMAT_CONTEXT)
    message(STATUS "Use context timers")
    set(HAVE_CONTEXT TRUE)
endif()

# ========================
# BLAS/MKL
# ========================

find_package(MKL)
if(MKL_FOUND)
    target_compile_options(hmat PRIVATE "$<$<COMPILE_LANGUAGE:CXX>:${MKL_COMPILER_FLAGS}>$<$<COMPILE_LANGUAGE:C>:${MKL_COMPILER_FLAGS}>")
    set(CBLAS_INCLUDE_DIR ${MKL_INCLUDE_DIRS})
    set(CBLAS_LIBRARIES ${MKL_LINKER_FLAGS})
endif()

option(USE_DEBIAN_OPENBLAS "On Debian, link to openblas instead of generic blas." ON)
# BLAS/LAPACK
if (NOT MKL_FOUND)
   if(USE_DEBIAN_OPENBLAS)
        get_filename_component(real_blas_path "/usr/lib/libblas.so" REALPATH)
        string(REGEX MATCH "/usr/lib/openblas-base/libblas.so" is_debian_openblas ${real_blas_path})
        if(is_debian_openblas)
            set(BLAS_FOUND ON)
            set(BLAS_LIBRARIES openblas)
            set(CBLAS_INCLUDE_DIR /usr/include/openblas)
            set(LAPACKE_LIBRARIES openblas)
            unset(BLAS_LINKER_FLAGS)
        endif()
    endif()
    if(NOT is_debian_openblas)
        find_package(BLAS REQUIRED)
        find_package(LAPACKE)
        if(NOT LAPACKE_FOUND)
            find_package(PkgConfig)
            pkg_check_modules (LAPACKE lapacke)
        endif()
    endif()
endif()

# CBLAS

# For backward compatibility
if(CBLAS_INCLUDE_DIRS)
    set(CBLAS_INCLUDE_DIR ${CBLAS_INCLUDE_DIRS})
endif()

if (NOT MKL_CBLAS_FOUND)
    include(CMakePushCheckState)
    cmake_push_check_state()
    set(CMAKE_REQUIRED_LIBRARIES ${BLAS_LIBRARIES})
    include(CheckFunctionExists)
    check_function_exists("openblas_set_num_threads" HAVE_OPENBLAS_SET_NUM_THREADS)
    check_function_exists("goto_get_num_procs" HAVE_GOTO_GET_NUM_PROCS)
    check_function_exists("cblas_dgemm" CHECK_FUNCTION_EXISTS_CBLAS_DGEMM)
    cmake_pop_check_state()
endif()
if ((NOT MKL_CBLAS_FOUND) AND (NOT is_debian_openblas))
    # Functions may already be available via MKL or BLAS, but we need cblas.h
    if (CHECK_FUNCTION_EXISTS_CBLAS_DGEMM)
        find_path(CBLAS_INCLUDE_DIR NAMES cblas.h DOC "CBLAS include directory")
        if(CBLAS_INCLUDE_DIR)
            set(CMAKE_REQUIRED_INCLUDES ${CBLAS_INCLUDE_DIR})
            check_include_file("cblas.h" HAVE_CBLAS_H)
            if (NOT HAVE_CBLAS_H)
                message(FATAL_ERROR "cblas.h not found")
            endif()
        else(CBLAS_INCLUDE_DIR)
            message(FATAL_ERROR "cblas.h not found")
        endif(CBLAS_INCLUDE_DIR)
    else (CHECK_FUNCTION_EXISTS_CBLAS_DGEMM)
        find_package(CBLAS REQUIRED)
    endif()
endif()

target_include_directories(hmat PRIVATE ${CBLAS_INCLUDE_DIR})

if(BUILD_SHARED_LIBS)
    target_link_options(hmat PRIVATE "${BLAS_LINKER_FLAGS}")
else()
    set_target_properties(hmat PROPERTIES STATIC_LIBRARY_OPTIONS "${BLAS_LINKER_FLAGS}")
endif()

target_link_libraries(hmat
    PRIVATE
        ${LAPACKE_LIBRARIES}
        ${CBLAS_LIBRARIES}
        ${BLAS_LIBRARIES}
)

# ========================
# Compiler flags
# ========================
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

function(hmat_set_compiler_flags _TARGET_NAME)
    check_cxx_compiler_flag("-Werror -Wall" HAVE_COMPILER_WARNING_FLAGS)
    if(HAVE_COMPILER_WARNING_FLAGS)
        target_compile_options(${_TARGET_NAME} PRIVATE -Werror -Wall)
        foreach(flag -Wno-sign-compare;-Wno-undefined-var-template;-Wno-unused-parameter)
            string(REPLACE "-" "_" varname ${flag})
            check_cxx_compiler_flag("${flag}" CXX${varname})
            if(CXX${varname})
                target_compile_options(${_TARGET_NAME} PRIVATE $<$<COMPILE_LANGUAGE:CXX>:${flag}>)
            endif()
            check_c_compiler_flag("${flag}" C${varname})
            if(C${varname})
                target_compile_options(${_TARGET_NAME} PRIVATE $<$<COMPILE_LANGUAGE:C>:${flag}>)
            endif()
        endforeach()
    endif()
    check_cxx_compiler_flag("/W4" MSVC_COMPILER_WARNING_FLAGS)
    if(MSVC_COMPILER_WARNING_FLAGS)
        target_compile_options(${_TARGET_NAME} PRIVATE /W4 -wd869,1786,2557,3280)
    endif()

    # C99 required for complex numbers
    target_compile_features(${_TARGET_NAME} PRIVATE cxx_std_11;c_std_99)

    if(MSVC OR WINTEL)
        target_compile_definitions(${_TARGET_NAME} PRIVATE __func__=__FUNCTION__;_CRT_SECURE_NO_WARNINGS;NOMINMAX;_USE_MATH_DEFINES)
    endif()
endfunction(hmat_set_compiler_flags)

hmat_set_compiler_flags(hmat)

# Enable gcc vectorization
function(opt_flag flag)
    string(MAKE_C_IDENTIFIER ${flag} label)
    check_c_compiler_flag("${flag}" ${label})
    if(${label})
        target_compile_options(hmat PRIVATE $<$<NOT:$<CONFIG:Debug>>:${flag}>)
    endif()
endfunction()
opt_flag("-ffast-math")
opt_flag("-funsafe-math-optimizations")

# ========================
# Misc
# ========================

# Build date export through hmat_get_build_date()
option(HMAT_EXPORT_BUILD_DATE "Hmat exports build date." OFF)
if(HMAT_EXPORT_BUILD_DATE)
    message(STATUS "Exports build date")
endif()

if(HMAT_EXPORT_BUILD_DATE AND NOT WIN32)
  # Regle pour toujours recompiler les sources contenant __DATE__ et __TIME__
  add_custom_command(COMMAND ${CMAKE_COMMAND} -E touch ${PROJECT_BINARY_DIR}/forcedBuild.tmp
    OUTPUT ${PROJECT_BINARY_DIR}/forcedBuild.tmp)
  set_source_files_properties( src/c_default_interface.cpp PROPERTIES OBJECT_DEPENDS ${PROJECT_BINARY_DIR}/forcedBuild.tmp)
endif(HMAT_EXPORT_BUILD_DATE AND NOT WIN32)

if(NOT HMAT_NO_VERSION)
  set_target_properties(hmat PROPERTIES VERSION ${HMAT_VERSION} SOVERSION ${HMAT_SO_VERSION})
endif()

=== debian/changelog ===
hmat-oss (1.8.1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:49:50 +0200

hmat-oss (1.8.1-2) unstable; urgency=medium

  * Upload to unstable to start transition from libhmat-oss2 to libhmat-oss3

 -- Pierre Gruet <pgt@debian.org>  Sun, 13 Nov 2022 07:17:31 +0100

hmat-oss (1.8.1-1) experimental; urgency=medium

  * New upstream version 1.8.1
  * Refreshing patches
  * Bumping SOVERSION to 3, building libhmat-oss3 instead of libhmat-oss2
  * Passing HMAT_INSTALL_LIB_DIR to CMake instead of patching
  * Marking libhmat-oss-dev as Multi-Arch: same
  * Updating the autopkgtests after the addition of a new header in
    the examples directory
  * Depending on liblapacke-dev and pkg-config, the latter being needed to
    find lapacke

 -- Pierre Gruet <pgt@debian.org>  Thu, 10 Nov 2022 15:45:07 +0100

=== debian/control ===
Source: hmat-oss
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Schueller <schueller@phimeca.com>,
           Denis Barbier <barbier@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libblas-dev,
               liblapacke-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://github.com/jeromerobert/hmat-oss
Vcs-Browser: https://salsa.debian.org/science-team/hmat-oss
Vcs-Git: https://salsa.debian.org/science-team/hmat-oss.git
Rules-Requires-Root: no

Package: libhmat-oss3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: hierarchical matrix C/C++ library (shared library)
 This library allows one to compute hierarchical matrices, which are tools from
 numerical mathematics used to approximate non-sparse matrices.
 .
 The implementation uses lower-upper (LU) decompositions.
 .
 This package contains the shared library.

Package: libhmat-oss-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libhmat-oss3 (= ${binary:Version})
Multi-Arch: same
Description: hierarchical matrix C/C++ library (development files)
 This library allows one to compute hierarchical matrices, which are tools from
 numerical mathematics used to approximate non-sparse matrices.
 .
 The implementation uses lower-upper (LU) decompositions.
 .
 This package contains the development files.

=== debian/tests/control ===
Tests: runExamples
Depends: @, build-essential

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//" \
 https://github.com/jeromerobert/hmat-oss/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## hmat-oss 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,9 +47,9 @@
 
 if(NOT HMAT_VERSION)
     include(GitVersion)
-    git_version(HMAT 1.8.1)
-endif()
-set(HMAT_SO_VERSION 3)
+    git_version(HMAT 1.9.0)
+endif()
+set(HMAT_SO_VERSION 4)
 
 if ( WIN32 AND CMAKE_CXX_COMPILER_ID STREQUAL "Intel" )
     set(WINTEL TRUE)
@@ -279,9 +279,14 @@
             endif()
         endforeach()
     endif()
-    check_cxx_compiler_flag("/W4" MSVC_COMPILER_WARNING_FLAGS)
-    if(MSVC_COMPILER_WARNING_FLAGS)
+    check_cxx_compiler_flag("/W4 -wd869,1786,2557,3280" HAVE_INTEL_WIN32_COMPILER_WARNING_FLAGS)
+    if(HAVE_INTEL_WIN32_COMPILER_WARNING_FLAGS)
         target_compile_options(${_TARGET_NAME} PRIVATE /W4 -wd869,1786,2557,3280)
+    endif()
+
+    check_cxx_compiler_flag("/wd4244 /wd4267 /wd4996" HAVE_MSVC_COMPILER_WARNING_FLAGS)
+    if(HAVE_MSVC_COMPILER_WARNING_FLAGS)
+        target_compile_options(${_TARGET_NAME} PRIVATE /wd4244 /wd4267 /wd4996)
     endif()
 
     # C99 required for complex numbers
@@ -319,10 +324,3 @@
   # Regle pour toujours recompiler les sources contenant __DATE__ et __TIME__
   add_custom_command(COMMAND ${CMAKE_COMMAND} -E touch ${PROJECT_BINARY_DIR}/forcedBuild.tmp
     OUTPUT ${PROJECT_BINARY_DIR}/forcedBuild.tmp)
-  set_source_files_properties( src/c_default_interface.cpp PROPERTIES OBJECT_DEPENDS ${PROJECT_BINARY_DIR}/forcedBuild.tmp)
-endif(HMAT_EXPORT_BUILD_DATE AND NOT WIN32)
-
-if(NOT HMAT_NO_VERSION)
-  set_target_properties(hmat PROPERTIES VERSION ${HMAT_VERSION} SOVERSION ${HMAT_SO_VERSION})
-endif()
-

=== debian/changelog ===
hmat-oss (1.9.0-2) unstable; urgency=medium

  * Source-only upload to unstable
  * The package builds against g++14 (Closes: #1075068)

 -- Pierre Gruet <pgt@debian.org>  Wed, 10 Jul 2024 09:24:04 +0200

hmat-oss (1.9.0-1) experimental; urgency=medium

  * New upstream version 1.9.0
  * Removing upstreamed patch
  * Updating d/copyright
  * Bumping SONAME to libhmat-oss4
  * Raising Standards version to 4.7.0 (no change)
  * Build-depending on pkgconf instead of obsolete pkg-config
  * Patching the code to build against g++-14

 -- Pierre Gruet <pgt@debian.org>  Mon, 08 Jul 2024 09:53:45 +0200

## hmat-oss 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 if(NOT HMAT_VERSION)
     include(GitVersion)
-    git_version(HMAT 1.9.0)
+    git_version(HMAT 1.10.0)
 endif()
 set(HMAT_SO_VERSION 4)

=== debian/changelog ===
hmat-oss (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Removing upstreamed patch

 -- Pierre Gruet <pgt@debian.org>  Wed, 09 Oct 2024 09:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hmat-oss
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Schueller <schueller@phimeca.com>,
            Denis Barbier <barbier@debian.org>,
            Pierre Gruet <pgt@debian.org>
@@ -10,14 +9,14 @@
                cmake,
                libblas-dev,
                liblapacke-dev,
-               pkg-config
-Standards-Version: 4.6.1
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/jeromerobert/hmat-oss
 Vcs-Browser: https://salsa.debian.org/science-team/hmat-oss
 Vcs-Git: https://salsa.debian.org/science-team/hmat-oss.git
 Rules-Requires-Root: no
 
-Package: libhmat-oss3
+Package: libhmat-oss4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -34,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libhmat-oss3 (= ${binary:Version})
+         libhmat-oss4 (= ${binary:Version})
 Multi-Arch: same
 Description: hierarchical matrix C/C++ library (development files)
  This library allows one to compute hierarchical matrices, which are tools from

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DHMAT_INSTALL_LIB_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"

## hmat-oss 1.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 if(NOT HMAT_VERSION)
     include(GitVersion)
-    git_version(HMAT 1.10.0)
+    git_version(HMAT 1.11.1)
 endif()
 set(HMAT_SO_VERSION 4)
 
@@ -267,7 +267,7 @@
     check_cxx_compiler_flag("-Werror -Wall" HAVE_COMPILER_WARNING_FLAGS)
     if(HAVE_COMPILER_WARNING_FLAGS)
         target_compile_options(${_TARGET_NAME} PRIVATE -Werror -Wall)
-        foreach(flag -Wno-sign-compare;-Wno-undefined-var-template;-Wno-unused-parameter)
+        foreach(flag -Wno-sign-compare;-Wno-undefined-var-template;-Wno-unused-parameter;-Wno-extern-c-compat)
             string(REPLACE "-" "_" varname ${flag})
             check_cxx_compiler_flag("${flag}" CXX${varname})
             if(CXX${varname})

=== debian/changelog ===
hmat-oss (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
    - Removing R-R-R: no, which is default
  * Rewriting d/watch with version 5

 -- Pierre Gruet <pgt@debian.org>  Sun, 28 Dec 2025 13:28:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hmat-oss
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Schueller <schueller@phimeca.com>,
            Denis Barbier <barbier@debian.org>,
@@ -10,11 +9,10 @@
                libblas-dev,
                liblapacke-dev,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jeromerobert/hmat-oss
 Vcs-Browser: https://salsa.debian.org/science-team/hmat-oss
 Vcs-Git: https://salsa.debian.org/science-team/hmat-oss.git
-Rules-Requires-Root: no
 
 Package: libhmat-oss4
 Section: libs

=== debian/watch ===
Version: 5

Source: https://github.com/jeromerobert/hmat-oss/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/
